Show / Hide Table of Contents

# Class IpcNotReadyError

This exception is thrown when an IPC method is invoked, but no actions or funcs have been registered yet.

##### Inheritance

System.Object
System.Exception
IpcError
IpcNotReadyError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class IpcNotReadyError : IpcError, ISerializable

### Constructors

| Improve this Doc View Source

#### IpcNotReadyError(String)

Initializes a new instance of the IpcNotReadyError class.

##### Declaration

    public IpcNotReadyError(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | Name of the IPC method.

### Implements

System.Runtime.Serialization.ISerializable